### Hierarchy

- SdaPostWorkPackagesWorkbenchActionJsonSample

## Index

### Properties

- BODY
- PATH

### Methods

- copyOfResponse

### Object literals

- RESPONSE

## Properties

### Static Private BODY

BODY: object

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:7

#### Type declaration

### Static Private PATH

PATH: string = "tenants/${tenantId}/sessions/${sessionId}/workbenches/SDAWorkbenchLOCAL/actions/WorkPackages"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:5

## Methods

### Static copyOfResponse

- copyOfResponse(): object

- - Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:35

  #### Returns object

## Object literals

### Static Private RESPONSE

RESPONSE: object

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:9

### dialogAlias

dialogAlias: string = "Workpackage_General_FORM"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:26

### dialogClassName

dialogClassName: string = "com.catavolt.app.extender.dialog.ZZCatavoltSatelliteEntityDashboardEditorModel"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:22

### dialogDescription

dialogDescription: string = "Work Packages"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:32

### dialogId

dialogId: string = "1"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:20

### dialogMode

dialogMode: string = "READ"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:10

### dialogName

dialogName: string = "Workpackage_General_FORM"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:27

### dialogType

dialogType: string = "hxgn.api.dialog.EditorDialog"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:24

### domainClassName

domainClassName: string = "com.catavolt.app.extender.domain.ZZCatavoltSatelliteEntityDashboard"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:23

### id

id: string = "1"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:30

### recordId

recordId: string = "AAABACcSAAAAAI59"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:25

### refreshNeeded

refreshNeeded: boolean = false

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:29

### selectedViewId

selectedViewId: string = "ZZCatavoltSatelliteEntityDashboard_EditorView_Default"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:31

### sessionId

sessionId: string = "${sessionId}"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:18

### tenantId

tenantId: string = "${tenantId}"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:28

### type

type: string = "hxgn.api.dialog.DialogRedirection"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:19

### viewMode

viewMode: string = "READ"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:21

### dialogAliasPath

dialogAliasPath: object

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:11

### DataObject

DataObject: string = "Workpackage"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:11

### DataSource

DataSource: string = "SDALocal"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:11

### Form

Form: string = "FORM"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:11

### Query

Query: string = "General"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:11

### dialogOrigin

dialogOrigin: object

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:12

### DataObject

DataObject: string = "Workpackage"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:12

### DataSource

DataSource: string = "SDALocal"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:12

### Form

Form: string = "FORM"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:12

### Query

Query: string = "General"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:12

### referringObject

referringObject: object

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:13

### actionId

actionId: string = "WorkPackages"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:14

### type

type: string = "hxgn.api.dialog.ReferringWorkbench"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:15

### workbenchId

workbenchId: string = "SDAWorkbenchLOCAL"

- Defined in ppm/samples/SdaPostWorkPackagesWorkbenchActionJsonSample.ts:16

Generated using TypeDoc